svn commit: r358525 - user/pho/stress2/misc

Peter Holm pho at FreeBSD.org
Mon Mar 2 06:32:41 UTC 2020


Author: pho
Date: Mon Mar  2 06:32:40 2020
New Revision: 358525
URL: https://svnweb.freebsd.org/changeset/base/358525

Log:
  Added an old regression test.

Added:
  user/pho/stress2/misc/nullfs23.sh   (contents, props changed)

Added: user/pho/stress2/misc/nullfs23.sh
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ user/pho/stress2/misc/nullfs23.sh	Mon Mar  2 06:32:40 2020	(r358525)
@@ -0,0 +1,53 @@
+#!/bin/sh
+
+#
+# Copyright (c) 2017 Dell EMC Isilon
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions
+# are met:
+# 1. Redistributions of source code must retain the above copyright
+#    notice, this list of conditions and the following disclaimer.
+# 2. Redistributions in binary form must reproduce the above copyright
+#    notice, this list of conditions and the following disclaimer in the
+#    documentation and/or other materials provided with the distribution.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
+# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+# ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
+# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
+# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
+# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
+# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
+# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
+# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+#
+# $FreeBSD$
+#
+
+# "panic: Lock (lockmgr) nullfs not locked @ kern/kern_lock.c:620." seen:
+# https://people.freebsd.org/~pho/stress/log/nullfs23.txt
+
+. ../default.cfg
+[ `id -u ` -ne 0 ] && echo "Must be root!" && exit 1
+
+
+[ -z "$nfs_export" ] && exit 0
+ping -c 2 `echo $nfs_export | sed 's/:.*//'` > /dev/null 2>&1 ||
+    exit 0
+
+mp2=/media
+mount | grep "$mp2" | grep -q nfs && umount $mp2
+mount -t nfs -o tcp -o retrycnt=3 -o intr,soft -o rw $nfs_export $mp2
+
+export nullfs_srcdir=$mp2
+../misc/nullfs17.sh
+
+umount $mp2
+while mount | grep "$mp2 " | grep -q nfs; do
+	umount -f $mp2
+done
+exit 0


More information about the svn-src-user mailing list